GNU bug report logs - #41395
[PATCH 0/2] gnu: Add python-questionary

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Edouard Klein <edk@HIDDEN>; Keywords: patch; dated Tue, 19 May 2020 09:55:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 22:33:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 18:33:16 2020
Received: from localhost ([127.0.0.1]:42739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdLem-00014m-0I
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 18:33:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1jdLej-00014Y-Eb
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 18:33:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58918)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1jdLee-0002oh-6L; Mon, 25 May 2020 18:33:08 -0400
Received: from ti0006q161-2604.bb.online.no ([84.202.68.75]:39646
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1jdLed-0003eu-KE; Mon, 25 May 2020 18:33:07 -0400
From: Marius Bakke <marius@HIDDEN>
To: Edouard Klein <edk@HIDDEN>, 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 3/4] gnu: Add python-pytest-pycodestyle
In-Reply-To: <87d06si79y.fsf@HIDDEN>
References: <87v9ksckt3.fsf@HIDDEN> <87d06si79y.fsf@HIDDEN>
Date: Tue, 26 May 2020 00:33:05 +0200
Message-ID: <87sgfn63xa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Edouard Klein <edk@HIDDEN> writes:

> * gnu/packages/python-check.scm (python-pytest-pycodestyle): New variable

Applied with minor editorializations + copyright, thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7MR6IACgkQoqBt8qM6
VPqx7gf/UBjPZTSzSVbBj1C4agykCkolcbXJzgR11hU5RLGRRhR66eDD+B3pHdiF
MnzbehzPo5+bJXcPpBB4udymYmN487qniO2StWXKkWdmEaX7yoKTINfHhe8nD2SC
V7Gnmozd4nKA8WLeLuZP6bP8OzZEs5zEi7Bh3aet/33Ntr/8ApFVyPnoBHiue9Zi
uRbkL9lM1bBeYAWXmhC5WmBkfaU+GFG0TTVQ1lcobIZnmaUtX7k0U7XI1gTsJCll
I8sZYdUwHH3hnz92XkBOUBzkkvJyUzZeXV7+L/JSHKqJhHS+OrVgIs7YL3tz8Ea+
UZC7/MugOwqskui66rbqD/1mIuS54Q==
=Chpo
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 22:28:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 18:28:32 2020
Received: from localhost ([127.0.0.1]:42735 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdLaC-0000wZ-Di
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 18:28:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1jdLaA-0000wM-FM
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 18:28:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58865)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1jdLa5-0001nJ-5J; Mon, 25 May 2020 18:28:25 -0400
Received: from ti0006q161-2604.bb.online.no ([84.202.68.75]:39556
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1jdLa4-0005wl-0u; Mon, 25 May 2020 18:28:24 -0400
From: Marius Bakke <marius@HIDDEN>
To: Edouard Klein <edk@HIDDEN>, 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 2/4] gnu: Update python-prompt-toolkit to
 version 3.0.5
In-Reply-To: <87h7w4i7bj.fsf@HIDDEN>
References: <87v9ksckt3.fsf@HIDDEN> <87h7w4i7bj.fsf@HIDDEN>
Date: Tue, 26 May 2020 00:28:21 +0200
Message-ID: <87v9kj6456.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Edouard Klein <edk@HIDDEN> writes:

> * gnu/packages/machine-learning.scm (python-iml): Move python-nose from
> propagated to native input.

Can you submit this change as a separate patch, as it is unrelated to
the python-prompt-toolkit update?

[...]

> @@ -12105,14 +12108,14 @@ collections of data.")
>  (define-public python-prompt-toolkit
>    (package
>      (name "python-prompt-toolkit")
> -    (version "2.0.7")
> +    (version "3.0.5")
>      (source
>       (origin
>         (method url-fetch)
> -       (uri (pypi-uri "prompt_toolkit" version ".tar.gz"))
> +       (uri (pypi-uri "prompt_toolkit" version))
>         (sha256
>          (base32
> -         "0fgacqk73w7s932vy46pan2yp8rvjmlkag20xvaydh9mhf6h85zx"))))
> +         "1j3x5s4gp4ih73sbcni0a0vffbzvrxbrbnkvb3fzjgxn810ilgan"))))
>      (build-system python-build-system)
>      (arguments
>       `(#:phases
> @@ -12126,12 +12129,11 @@ collections of data.")
>               (add-installed-pythonpath inputs outputs)
>               (invoke "py.test"))))))
>      (propagated-inputs
> -     `(("python-wcwidth" ,python-wcwidth)
> -       ("python-six" ,python-six)
> -       ("python-pygments" ,python-pygments)))
> +     `(("python-wcwidth" ,python-wcwidth)))

I think you need to re-add these inputs in 'python-prompt-toolkit-2'.
'python2-prompt-toolkit' should probably inherit from
'python-prompt-toolkit-2' too, given that the dependency on Six is
removed in version 3.

Finally 'python-prompt-toolkit-1' (!!!) also needs to inherit from
'python-prompt-toolkit-2' so that the inputs don't change, unless
version 1 can be removed entirely.

Quite the cabal!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7MRoUACgkQoqBt8qM6
VPpPfgf/dSH9gV4QnkKT1JFJQ0I75NK+yR3zKYrQ7BZe645pSIUCLCU/pwXmv/fu
k6ksxmV1Z4cuCctnp0Kjgrah4hZQy4OEqVJ1qTeeYjTXSTBVq7jDxZPh4CnpmmuH
XzcIIiwas003TT5Rmlp9nIXRbjC7WJYjHz7lLrdhFJeWWVofopG1CLigQhNZseYO
ztX8oMKe7lIBR/Yxo3Sw9+2iJoZfbyYC3EUjIRnW3I5pf1IkJZ4iTmucEQcbKtTG
+sGw+l0s/BtFxpTu6ssZkUTkxW/D0EoD9HFJlPX7eseBNKjZM43GypC2brf9x4m3
6LDSdPst5Qn5czs7rJKtdsBkMxQVwA==
=M+3p
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 22:23:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 18:23:36 2020
Received: from localhost ([127.0.0.1]:42731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdLVP-0000pH-T6
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 18:23:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1jdLVO-0000p0-36
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 18:23:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58805)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1jdLVI-0001Am-O1; Mon, 25 May 2020 18:23:28 -0400
Received: from ti0006q161-2604.bb.online.no ([84.202.68.75]:39518
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1jdLVI-0001qG-5n; Mon, 25 May 2020 18:23:28 -0400
From: Marius Bakke <marius@HIDDEN>
To: Edouard Klein <edk@HIDDEN>, 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 1/4] gnu: Update python-iml homepage to https
In-Reply-To: <87k110i7fq.fsf@HIDDEN>
References: <87v9ksckt3.fsf@HIDDEN> <87k110i7fq.fsf@HIDDEN>
Date: Tue, 26 May 2020 00:23:26 +0200
Message-ID: <87y2pf64dd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Edouard Klein <edk@HIDDEN> writes:

> * gnu/packages/machine-learning.scm (python-iml): s/http/https/

Applied, with a slightly edited commit message to closer follow our
conventions.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7MRV4ACgkQoqBt8qM6
VPr1vwgAxgSaV/pe0XOjq0BYMc6Mp4T5wPWx2JADsr1aHaUeIitjUW209cDSyzRF
wm84ujY57nhKfxHZoI3Y9pCmzTYcT9SqmL3o+4aCBUsA76WPL7VNB6SNq1DacUyY
uEkuGOlFSdojI3ZT9UjbdXmjNKav/0xWd0LGacKGZLZup6tZ+IVX4iAEORG7NYHb
xotF58Hff2mw6rLmrWC20D9GbFs7HyOhKIOF7wj1+tgFjCmJKo2XuQYD0FtYyupT
DTQ9UCrx4u85VRmM9/yWDV7tTHriAeSqM854vmJ7dzJp4TbQ5GpwWwPNx9Mklgyu
VPhjr/CD9jBk9XB6gTqGRgwsyhrUqA==
=QNjX
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 22:21:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 18:21:46 2020
Received: from localhost ([127.0.0.1]:42727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdLTe-0000m5-Bq
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 18:21:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1jdLTc-0000lm-Ng
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 18:21:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58789)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1jdLTX-0000xC-7C; Mon, 25 May 2020 18:21:39 -0400
Received: from ti0006q161-2604.bb.online.no ([84.202.68.75]:39504
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1jdLTT-0001k4-3z; Mon, 25 May 2020 18:21:39 -0400
From: Marius Bakke <marius@HIDDEN>
To: Edouard Klein <edou@HIDDEN>, 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 1/2] gnu: python-prompt-toolkit: Update to
 3.0.5
In-Reply-To: <87pnasi8w7.fsf@HIDDEN>
References: <87v9ksckt3.fsf@HIDDEN> <87sgfwcklx.fsf@HIDDEN>
 <87wo527b41.fsf@HIDDEN> <87pnasi8w7.fsf@HIDDEN>
Date: Tue, 26 May 2020 00:21:32 +0200
Message-ID: <871rn77j0z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Edouard Klein <edou@HIDDEN> writes:

>>>      (synopsis "Interpretable Machine Learning (iML) package")
>>>      (description "Interpretable ML (iML) is a set of data type objects,
>>>  visualizations, and interfaces that can be used by any method designed=
 to
>>> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
>>> index b8a51570c3..5fd7e274e9 100644
>>> --- a/gnu/packages/python-xyz.scm
>>> +++ b/gnu/packages/python-xyz.scm
>>> @@ -8922,6 +8922,7 @@ interactive computing.")
>>>      (build-system python-build-system)
>>>      (propagated-inputs
>>>       `(("python-ipykernel" ,python-ipykernel)
>>> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>>>         ("python-notebook" ,python-notebook)))
>>>      (native-inputs
>>>       `(("python-certifi" ,python-certifi)
>>> @@ -8950,6 +8951,7 @@ notebooks.")
>>>      (propagated-inputs
>>>       `(("python-ipython" ,python-ipython)
>>>         ("python-traitlets" ,python-traitlets)
>>> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>>>         ("python-widgetsnbextension" ,python-widgetsnbextension)))
>>>      (native-inputs
>>>       `(("python-nose" ,python-nose)
>>> @@ -8980,7 +8982,7 @@ in the data.")
>>>      (propagated-inputs
>>>       `(("python-ipykernel" ,python-ipykernel)
>>>         ("python-jupyter-client" ,python-jupyter-client)
>>> -       ("python-prompt-toolkit" ,python-prompt-toolkit)
>>> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>>>         ("python-pygments" ,python-pygments)))
>>>      (native-inputs
>>>       `(("python-nose" ,python-nose)))
>>> @@ -12049,6 +12051,44 @@ collections of data.")
>>>    (package-with-python2 python-backpack))
>>
>> It would be great to update these packages instead of pinning to the old
>> version.  I won't blame you if you don't feel like embarking on that
>> journey though.
>>
>
> In the new patches I'm about to send, I updated them. Alas even their
> latest versions still require python-prompt-toolkit <=3D2.1, so I had to
> pin the dependencies. I did it in a cleaner way, though.

Oh too bad that updating did not work.  Terrible that these are so tied
to the version of python-prompt-toolkit.  Can you split those updates
out to separate patches, preceding the prompt-toolkit patch?  Then they
can be reverted and tested individually without having to revert the
whole thing in case there are problems.

>>> +(define-public python-prompt-toolkit-2
>>>    (package
>>>      (name "python-prompt-toolkit")
>>>      (version "2.0.7")
>>> @@ -12077,7 +12117,7 @@ collections of data.")
>>>         ("python-pygments" ,python-pygments)))
>>>      (native-inputs
>>>       `(("python-pytest" ,python-pytest)))
>>> -    (home-page "https://github.com/jonathanslenders/python-prompt-tool=
kit")
>>> +    (home-page "https://github.com/prompt-toolkit/python-prompt-toolki=
t")
>>>      (synopsis "Library for building command line interfaces in Python")
>>>      (description
>>>       "Prompt-Toolkit is a library for building interactive command line
>>> @@ -12104,6 +12144,10 @@ characters, mouse support, and auto suggestion=
s.")
>>>  (define-public python2-prompt-toolkit-1
>>>    (package-with-python2 python-prompt-toolkit-1))
>>>=20=20
>>> +(define-public prompt-toolkit-2-instead-of-prompt-toolkit
>>> +  (package-input-rewriting/spec
>>> +   `(("python-prompt-toolkit" . ,(const python-prompt-toolkit-2)))))
>>
>> Is this actually necessary?  Just changing the inputs as you did above
>> should be sufficient I think.
>
> If one dependency is OK with python-prompt-toolkit in version 3, but a
> package has an implicit dependency on python-prompt-toolkit in version
> 2, then we either have to pin them all to version 2, and the OK
> dependency does not get to envoy the update, or we have to resort to this.
>
> I did it because python-ipython (19 dependents) is OK with
> the update, and I did not want to pin it (and all its dependents) to pyth=
on-prompt-toolkit-2.
>
> This is my first time making such an involved update, so I'm open to
> suggestions as to alternative ways of doing this.

Oh I see, makes sense.  The new patch is much clearer.  I will send a
separate reply with further comments.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7MROwACgkQoqBt8qM6
VPprnQf7B8qd3Ggk+ne/nQc1i9W2SvmLEWF4FciDxFHv58BsOiMsp9Da0L5YVffj
ZlvGm383qBAruxM3z/7nhZR8VB03PZ/VNLUfbCMdHNBBQ5cwAUw2b+/Ojo4pYZD6
PzGTZWDwR/s3eJ9oJ7Udl3c+HboPGmBY3y7y6ZlQKUQSFckzdAFH3I8S6/X1OaHP
cWYYVJjEYVWqPlN6OHNOOgGBhhgTkmWNrGrIYj3/SEZqxdcuvmAGVIefSGoEaSQM
teTWX1BJ+uw7eijhZB+pLqlmJcADs0EI7frQZb5g35VwZsgwYsyzgC5erSu6zGmQ
jQCzu322z2F25vLzntuMTJ0TcKIR0w==
=3MgV
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 11:48:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 07:48:03 2020
Received: from localhost ([127.0.0.1]:40069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdBaM-0005m2-NJ
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 07:48:03 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edou@HIDDEN>) id 1jdBCO-000315-Mw
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 07:23:17 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1590405794; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=gKap0pB1KgWYTyynQ+cJRtkuF8wX4ELLBxqm4Qah795GiWtn6VK+3JTwhrumXLhhPHkpBzWtQ6xmQaviisosQ4sHepxnztvM9q92TV/mtAeWkW98LEZkj9UlW6MzPeNYc7CTz2HY/ppIoAWbROlf0Uwe3yed7dqns9DyfyZq7hc=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1590405794;
 h=Content-Type:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=DX12dUlgDBnfSjBzt4QONBU+kesXN393LLtmnxdlVAI=; 
 b=EQZJYyEFfrt7VaDtTU2+GfNKU/HeFZPzEDWoZJUuE2WQJEu17yQDv6so+jd1cUhO4R/WMIFZl0FELs4XdGizEhhXyX2HRChXMjWpE5YLaEOm8JzxZD3fLs+6mnnV4cLfZZhT0D9rkyNOaa4HChaTvHhG3ZPunvd1DTlq/DbOFs4=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=rdklein.fr;
 spf=pass  smtp.mailfrom=edou@HIDDEN;
 dmarc=pass header.from=<edou@HIDDEN> header.from=<edou@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1590405794; 
 s=zoho; d=rdklein.fr; i=edou@HIDDEN;
 h=References:From:To:Subject:In-reply-to:Message-ID:Date:MIME-Version:Content-Type;
 bh=DX12dUlgDBnfSjBzt4QONBU+kesXN393LLtmnxdlVAI=;
 b=IAakH5toB/bt27hDj7JcX5VVmX4+Bk1w4K8/Dvz/fF9LRats7EznN/Kld5ZWrZmI
 hrUZCzo8ZwCc7B+ST7knC//ebuMv7KToMlXB8zAPelmK2ErTxLXLtD9kzH937C+iqwO
 ie14nR9laqUZ0ZNTatwvFvLGHBEePdoIg0gExPaU=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1590405792381988.8581724519922;
 Mon, 25 May 2020 04:23:12 -0700 (PDT)
References: <87v9ksckt3.fsf@HIDDEN> <87pnb0ckjh.fsf@HIDDEN>
 <87tv067ay2.fsf@HIDDEN>
User-agent: mu4e 1.4.6; emacs 26.3
From: Edouard Klein <edou@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 2/2] gnu: Add python-questionary
In-reply-to: <87tv067ay2.fsf@HIDDEN>
Message-ID: <87mu5wi7hn.fsf@HIDDEN>
Date: Mon, 25 May 2020 13:23:00 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-Mailman-Approved-At: Mon, 25 May 2020 07:48:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Marius Bakke writes:

> Edouard Klein <edk@HIDDEN> writes:
>
>> * /gnu/packages/python-xyz.scm (python-questionary): New variable
>> * /gnu/packages/python-check.scm (python-pytest-pycodestyle): New variable
>
> Can you submit these packages as two separate patches?
>
> [...]
>
Done

>> +(define-public python-pytest-pycodestyle
>> +  (package
>> +    (name "python-pytest-pycodestyle")
>> +    (version "2.0.0")  ;; Any version higher than that requires python-pytest~=5.4
>> +    ;; (python-pytest is at version 5.3.5 as I write this comment
>> +    ;; and 5478 packages depend on it.)
>
> You can create a 'python-pytest-5.4' variable instead of sticking to
> this old version, we'll probably need it sooner or later.  No strong
> opinion though.
>

I did not understand that pinning dependencies was also allowed for
future versions. I tried but I can't get python-pytest 5.4's tests to
pass, so I'll leave it like that for now and try to come back and
revisit that if I have some time.

> [...]
>
>> +(define-public python-questionary
>> +  (package
>> +   (name "python-questionary")
>> +   (version "1.5.2")
>> +   (source
>> +    (origin
>> +     (method url-fetch)
>> +     (uri (pypi-uri "questionary" version))
>> +     (sha256
>> +      (base32
>> +       "09n737qmvzbibl8hmbd5zfg1502fd9n0r8qjzz1y0vy8nqv1xr7n"))))
>> +   (build-system python-build-system)
>> +   (propagated-inputs
>> +    `(("python-prompt-toolkit" ,python-prompt-toolkit)))
>> +   (native-inputs
>> +    `(("python-coveralls" ,python-coveralls)
>> +      ("python-pytest-cov" ,python-pytest-cov)
>> +      ("python-pytest-pycodestyle"
>> +       ,python-pytest-pycodestyle)
>> +      ))
>
> These parens feel lonely.  :-)

I did a last minute edit and forgot to lint again, sorry :)

>
>> +   (arguments
>> +    `(#:phases
>> +      (modify-phases %standard-phases
>> +        (replace 'check
>> +          (lambda _
>> +            (invoke "py.test"))))))
>> +   (home-page "https://github.com/tmbo/questionary")
>> +   (synopsis
>> +    "Pretty command line user prompts")
>
> The line break here is not necessary.
>
> LGTM with these changes, can you send updated patches?
>
> Thanks!

Thank you for reviewing the changes and for the suggestions :)




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 11:48:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 07:48:02 2020
Received: from localhost ([127.0.0.1]:40067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdBaL-0005lk-Mt
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 07:48:02 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edou@HIDDEN>) id 1jdAj9-00008D-Rb
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 06:53:04 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1590403982; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=DVBo9/pK3/gdJ78jo3LTlEiDSEL0P/s5Am9hjotZly3XFTr0fP2LAknT4QHqlQOmPh/SC4l7vowFe3LU68bSzgoLmY4xC35oQU1ROMpzvmfoDLDwU0zzBFsYHQH6YQYyLlfMfS5OQhs+Mdj8tK9D2UWrNJW92g5V9cAnHQII36U=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1590403982;
 h=Content-Type:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=+MYk8oyl+1aPB3RYMaqwz3snWtP5wCpTvzn2lf3cnDg=; 
 b=WlGBcFuWhCFA0umiP/yZ0VO/qxjwLXer3E3eot62ZOOKnDUdOYOKjR20OlE51haJxHF13gW8mh5bGZp3B6Oncb0r6cxFX9aR8cvR4Ke9+vZQuSLhDl8iYTnqG8t/ox75Lud3v3pmF+HFYx9LThlxoGnUVY1qDAtTmVG+82CeXAk=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=rdklein.fr;
 spf=pass  smtp.mailfrom=edou@HIDDEN;
 dmarc=pass header.from=<edou@HIDDEN> header.from=<edou@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1590403982; 
 s=zoho; d=rdklein.fr; i=edou@HIDDEN;
 h=References:From:To:Subject:In-reply-to:Message-ID:Date:MIME-Version:Content-Type;
 bh=+MYk8oyl+1aPB3RYMaqwz3snWtP5wCpTvzn2lf3cnDg=;
 b=TbZW8vvIwT70JiBiozZzVVmXtU0VvlLBNdAO4LYkHV5v5oM8O9rhhufL+mzsC/v1
 4WD4VFsfo8qIttDnvrM/OVZO+PEPuj8fMNLszpJ+ClFSlkueKJY8wz4Wt+IiLsZbH1f
 KsjJKbtzLTSGPcPNDJ7OB60APWf2bklgYlVuDTXo=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1590403978793333.5812699116425;
 Mon, 25 May 2020 03:52:58 -0700 (PDT)
References: <87v9ksckt3.fsf@HIDDEN> <87sgfwcklx.fsf@HIDDEN>
 <87wo527b41.fsf@HIDDEN>
User-agent: mu4e 1.4.6; emacs 26.3
From: Edouard Klein <edou@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 1/2] gnu: python-prompt-toolkit: Update to
 3.0.5
In-reply-to: <87wo527b41.fsf@HIDDEN>
Message-ID: <87pnasi8w7.fsf@HIDDEN>
Date: Mon, 25 May 2020 12:52:40 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-Mailman-Approved-At: Mon, 25 May 2020 07:48:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you for your comments :)

Marius Bakke writes:

> Edouard Klein <edk@HIDDEN> writes:
>
>> * /gnu/packages/python-xyz.scm (python-widgetsnbextension): Pin python-prompt-toolkit to version 2
>> * /gnu/packages/python-xyz.scm (python-ipywidgets): Pin python-prompt-toolkit to version 2
>> * /gnu/packages/python-xyz.scm (python-jupyter-console): Pin python-prompt-toolkit to version 2
>> * /gnu/packages/python-xyz.scm (python-prompt-toolkit): Update to 3.0.5
>> * /gnu/packages/python-xyz.scm (python-prompt-toolkit-2): New variable
>> * /gnu/packages/python-xyz.scm (python-prompt-toolkit-2-instead-of-prompt-toolkit): New variable
>> * /gnu/packages/machine-learning.scm (python-iml): Pin ipython to python-prompt-toolkit-2 variant
>
> You only need to mention the file name once.

OK :)

>
>> @@ -1803,12 +1804,14 @@ advanced research.")
>>           "1k8szlpm19rcwcxdny9qdm3gmaqq8akb4xlvrzyz8c2d679aak6l"))))
>>      (build-system python-build-system)
>>      (propagated-inputs
>> -     `(("ipython" ,python-ipython)
>> -       ("nose" ,python-nose)
>> +     `(("ipython" ,(prompt-toolkit-2-instead-of-prompt-toolkit
>> +                    python-ipython))
>>         ("numpy" ,python-numpy)
>>         ("pandas" ,python-pandas)
>>         ("scipy" ,python-scipy)))
>> -    (home-page "http://github.com/interpretable-ml/iml")
>> +    (native-inputs
>> +     `(("nose" ,python-nose)))
>> +    (home-page "https://github.com/interpretable-ml/iml")
>
> Can you submit the home page and inputs change of this package as two
> separate patches?
>

Done

>>      (synopsis "Interpretable Machine Learning (iML) package")
>>      (description "Interpretable ML (iML) is a set of data type objects,
>>  visualizations, and interfaces that can be used by any method designed to
>> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
>> index b8a51570c3..5fd7e274e9 100644
>> --- a/gnu/packages/python-xyz.scm
>> +++ b/gnu/packages/python-xyz.scm
>> @@ -8922,6 +8922,7 @@ interactive computing.")
>>      (build-system python-build-system)
>>      (propagated-inputs
>>       `(("python-ipykernel" ,python-ipykernel)
>> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>>         ("python-notebook" ,python-notebook)))
>>      (native-inputs
>>       `(("python-certifi" ,python-certifi)
>> @@ -8950,6 +8951,7 @@ notebooks.")
>>      (propagated-inputs
>>       `(("python-ipython" ,python-ipython)
>>         ("python-traitlets" ,python-traitlets)
>> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>>         ("python-widgetsnbextension" ,python-widgetsnbextension)))
>>      (native-inputs
>>       `(("python-nose" ,python-nose)
>> @@ -8980,7 +8982,7 @@ in the data.")
>>      (propagated-inputs
>>       `(("python-ipykernel" ,python-ipykernel)
>>         ("python-jupyter-client" ,python-jupyter-client)
>> -       ("python-prompt-toolkit" ,python-prompt-toolkit)
>> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>>         ("python-pygments" ,python-pygments)))
>>      (native-inputs
>>       `(("python-nose" ,python-nose)))
>> @@ -12049,6 +12051,44 @@ collections of data.")
>>    (package-with-python2 python-backpack))
>
> It would be great to update these packages instead of pinning to the old
> version.  I won't blame you if you don't feel like embarking on that
> journey though.
>

In the new patches I'm about to send, I updated them. Alas even their
latest versions still require python-prompt-toolkit <=2.1, so I had to
pin the dependencies. I did it in a cleaner way, though.


>>  (define-public python-prompt-toolkit
>> +  (package
>> +    (name "python-prompt-toolkit")
>> +    (version "3.0.5")
>> +    (source
>> +     (origin
>> +       (method url-fetch)
>> +       (uri (pypi-uri "prompt_toolkit" version))
>> +       (sha256
>> +        (base32
>> +         "1j3x5s4gp4ih73sbcni0a0vffbzvrxbrbnkvb3fzjgxn810ilgan"))))
>> +    (build-system python-build-system)
>> +    (arguments
>> +     `(#:phases
>> +       (modify-phases %standard-phases
>> +         (delete 'check)
>> +         (add-after 'install 'post-install-check
>> +           (lambda* (#:key inputs outputs #:allow-other-keys)
>> +             ;; HOME is needed for the test
>> +             ;; "test_pathcompleter_can_expanduser".
>> +             (setenv "HOME" "/tmp")
>> +             (add-installed-pythonpath inputs outputs)
>> +             (invoke "py.test"))))))
>> +    (propagated-inputs
>> +     `(("python-wcwidth" ,python-wcwidth)))
>> +    (native-inputs
>> +     `(("python-pytest" ,python-pytest)))
>> +    (home-page
>> +     "https://github.com/prompt-toolkit/python-prompt-toolkit")
>> +    (synopsis "Library for building command line interfaces in Python")
>> +    (description
>> +     "Prompt-Toolkit is a library for building interactive command line
>> +interfaces in Python.  It's like GNU Readline but it also features syntax
>> +highlighting while typing, out-of-the-box multi-line input editing, advanced
>> +code completion, incremental search, support for Chinese double-width
>> +characters, mouse support, and auto suggestions.")
>> +    (license license:bsd-3)))
>
> Can you make python-prompt-toolkit-2 inherit from this package to avoid
> duplicating the entire expression?
>
Done

>> +(define-public python-prompt-toolkit-2
>>    (package
>>      (name "python-prompt-toolkit")
>>      (version "2.0.7")
>> @@ -12077,7 +12117,7 @@ collections of data.")
>>         ("python-pygments" ,python-pygments)))
>>      (native-inputs
>>       `(("python-pytest" ,python-pytest)))
>> -    (home-page "https://github.com/jonathanslenders/python-prompt-toolkit")
>> +    (home-page "https://github.com/prompt-toolkit/python-prompt-toolkit")
>>      (synopsis "Library for building command line interfaces in Python")
>>      (description
>>       "Prompt-Toolkit is a library for building interactive command line
>> @@ -12104,6 +12144,10 @@ characters, mouse support, and auto suggestions.")
>>  (define-public python2-prompt-toolkit-1
>>    (package-with-python2 python-prompt-toolkit-1))
>>  
>> +(define-public prompt-toolkit-2-instead-of-prompt-toolkit
>> +  (package-input-rewriting/spec
>> +   `(("python-prompt-toolkit" . ,(const python-prompt-toolkit-2)))))
>
> Is this actually necessary?  Just changing the inputs as you did above
> should be sufficient I think.

If one dependency is OK with python-prompt-toolkit in version 3, but a
package has an implicit dependency on python-prompt-toolkit in version
2, then we either have to pin them all to version 2, and the OK
dependency does not get to envoy the update, or we have to resort to this.

I did it because python-ipython (19 dependents) is OK with
the update, and I did not want to pin it (and all its dependents) to python-prompt-toolkit-2.

This is my first time making such an involved update, so I'm open to
suggestions as to alternative ways of doing this.





Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 11:29:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 07:29:03 2020
Received: from localhost ([127.0.0.1]:40018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdBHk-00039Z-I0
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 07:29:03 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jdBHi-00039R-Nk
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 07:28:47 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1590406124; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=CM7ScAkO5zBeApRhRoot+ANXeDe4km6x6DMD62LYVc/vfKr+TwQQXUct33ZSFtAZv0vyfPZCX+aXuzerMz2oFPd8jH2MbcMfH1UO3aFhvKYw/nLskyVTSSe6ubFap/TBBT81khmKH6Q/5Yh5DlytL7gHiR0btet6pX0VesRFdag=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; 
 t=1590406124; h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To; 
 bh=sujFF2pd78U2Uxz5lD4vk+rHCadhcvcWJ0Hf7SE3usI=; 
 b=k5kQeywa5WvECrsMmbV8CW3D34gK8j8d4FIsbmoEkX9LSCQlm2PTqw+gRrV5tdS+uBmIS4hMw03gs39HPFWDd3YSgVnyYmzNpb9agmK5vg/y5KOkRJDDYBD3b8zvvIR3TIKlaXU6mTcHk4Dknriqy6Wi8AEWlrfOlIVBA6qJfmM=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1590406124; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
 bh=sujFF2pd78U2Uxz5lD4vk+rHCadhcvcWJ0Hf7SE3usI=;
 b=ZO1FlNFBFNp3qIdadHK1TsbQoJIH32HP80N+p/N4vPPJZJ9wonwWIzg1ZXIHA6Fj
 mcXsKFwoG+j8v63gtB6VZYM/TcQrqPlbxz87cvpl3ziFw6ww3iWDh8nK3OhGsf4ItNI
 epJNchf8PuFGaLPE8slypQ+I/VbfKHjkUq5t/EY8=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1590406122798376.3745733097171;
 Mon, 25 May 2020 04:28:42 -0700 (PDT)
User-agent: mu4e 1.4.6; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: Add python-questionary
Message-ID: <87a71wi789.fsf@HIDDEN>
Date: Mon, 25 May 2020 13:28:38 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


gnu/packages/python-xyz.scm (python-questionary): New variable.
---
 gnu/packages/python-xyz.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index f60d4cc0ab..f2ce71946c 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9406,6 +9406,39 @@ be set via config files and/or environment variables.")
 @code{ArgumentParser} object.")
     (license license:asl2.0)))
 
+(define-public python-questionary
+  (package
+   (name "python-questionary")
+   (version "1.5.2")
+   (source
+    (origin
+     (method url-fetch)
+     (uri (pypi-uri "questionary" version))
+     (sha256
+      (base32
+       "09n737qmvzbibl8hmbd5zfg1502fd9n0r8qjzz1y0vy8nqv1xr7n"))))
+   (build-system python-build-system)
+   (propagated-inputs
+    `(("python-prompt-toolkit" ,python-prompt-toolkit)))
+   (native-inputs
+    `(("python-coveralls" ,python-coveralls)
+      ("python-pytest-cov" ,python-pytest-cov)
+      ("python-pytest-pycodestyle"
+       ,python-pytest-pycodestyle)))
+   (arguments
+    `(#:phases
+      (modify-phases %standard-phases
+        (replace 'check
+          (lambda _
+            (invoke "py.test"))))))
+   (home-page "https://github.com/tmbo/questionary")
+   (synopsis
+    "Pretty command line user prompts")
+   (description
+    "Questionary helps make the input prompts easy to read and answer for the user
+using multi-select lists, confirmations, free text prompts, completion, etc.")
+  (license license:expat)))
+
 (define-public python-contextlib2
   (package
     (name "python-contextlib2")
-- 
2.26.2




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 11:27:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 07:27:46 2020
Received: from localhost ([127.0.0.1]:40014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdBGk-00037x-6D
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 07:27:46 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jdBGi-00037o-IX
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 07:27:44 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1590406062; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=ZD9D2tr6F+8duRhdhH2g+/d0dX/3EJWpsNqXQVIr3Y9BAFyZjxdVI/QKmm2+o4XSzOUfWJ9/GYCYFiaUaKaraLcXmicIHxPL994ntMlCkFukCCt9Z8kVAlD1HIrNlJeHl2txf9HlgqCSqWIPBESlW3iDLNZgw6unQ+LgLCO8Gro=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; 
 t=1590406062; h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To; 
 bh=Yk16jSnxVW/wzWI9FZ7+rKTqkclIi+oMKJBqqlabZYE=; 
 b=n6kQg08ASZQ6fGvOWbsLsG0oePWSAKdrwcxVg53rpE+d1eCqdLMpjFzpDvC5DTzeisfdu+b1pPQ0SfZkgLJR3Pgx8ns6lCx1ubdKSJRMTTEOsruvX/Hr70kOX4r1qHJg4hWijqfWXZfc+fwNy7qbrU3/+xYFxVXY0bj6ck8Tur4=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1590406062; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
 bh=Yk16jSnxVW/wzWI9FZ7+rKTqkclIi+oMKJBqqlabZYE=;
 b=NWVrboE+BAbE6qonn52jYM0E/U8nwq4D7/cDrah60F933t1TG8KeA5nG5AKnu709
 bDwdwa8UGfPu6F6IeJAHGKnZWLHyND9v3vu75Wy5ZorVUjw6JC2K+usQt9hdX6TDANQ
 Z/iuyc8wGBTi4Ov8Cp5ar1XX7OF8I/Pabwt971fo=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1590406061699924.9057624857927;
 Mon, 25 May 2020 04:27:41 -0700 (PDT)
User-agent: mu4e 1.4.6; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: Add python-pytest-pycodestyle
Message-ID: <87d06si79y.fsf@HIDDEN>
Date: Mon, 25 May 2020 13:27:37 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


* gnu/packages/python-check.scm (python-pytest-pycodestyle): New variable
---
 gnu/packages/python-check.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 22b9ea8df5..50911673b2 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -337,6 +337,31 @@ testing framework.")
 framework.")
     (license license:expat)))
 
+(define-public python-pytest-pycodestyle
+  (package
+    (name "python-pytest-pycodestyle")
+    (version "2.0.0")  ;; Any version higher than that requires python-pytest~=5.4
+    ;; (python-pytest is at version 5.3.5 as I write this comment
+    ;; and 5478 packages depend on it.)
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-pycodestyle" version))
+       (sha256
+        (base32
+         "02i5gl7pm9cwxk15sn29inz3n8flpj1r3p1l110h43f2na5w8h7z"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-pycodestyle" ,python-pycodestyle)))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)))
+    (home-page
+     "https://github.com/henry0312/pytest-pycodestyle")
+    (synopsis "Pytest plugin to run pycodestyle")
+    (description "This package provides a plugin to run pycodestyle for the py.test
+framework.")
+    (license license:expat)))
+
 (define-public python-codacy-coverage
   (package
     (name "python-codacy-coverage")
-- 
2.26.2




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 11:26:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 07:26:51 2020
Received: from localhost ([127.0.0.1]:40010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdBFq-00036S-HV
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 07:26:51 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jdBFo-00036K-Jk
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 07:26:49 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1590406006; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=ViryAvqwCzD0eZdEosWlCARmsJp59SH7i0522an2qy5ob4MkGaIT6b3pngIJjLUCxUUeWnJkF4s1e5E4DZvQSbTDxuKNtLAk+C+GpYkxbQYldjyithfdw7b+l8S6Y2slA4jFkEM5OKd4aOG6hXX/6Qetqnqpsj1ROqY3OIK3prY=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1590406006;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=JfFHRCijF7+nrwwyRO0A84HKem10f8FJjv5uEnw7VXo=; 
 b=Pd+F/QYCtg+4UBN/MK5soDKDXqgfDjjnXG8Vh81gBk79faFeyga7OlRIWEKyJFeIX9bHGyW/IfsHswowpwmNu6HnfeNxnoajLC8Vs3WEQbZDPrKe3iR9I+0jzUw3IyhZkNH1LquDuOBdBbJ4fdbwmd+eb20ssB9krMdX+g4IDBk=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1590406006; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=JfFHRCijF7+nrwwyRO0A84HKem10f8FJjv5uEnw7VXo=;
 b=Gl4WzoecYoZgaxSqX2Jg9lNru/sP5ttWFiAzl3sdT/NtqrMDROug0rRrPbC3tBY6
 gVzu7Jc4rvnFzB7YpDBPtqEIzLZS0GxdKFPM2mwMMbn5XEtxGRq3d/zSL8Pb2HFgHfK
 wL2X2BpBGtWeam2rLaVmEoBrySfB7bIRNVRRsFuY=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1590406004262627.4651838161097;
 Mon, 25 May 2020 04:26:44 -0700 (PDT)
User-agent: mu4e 1.4.6; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: [PATCH 2/4] gnu: Update python-prompt-toolkit to version 3.0.5
Message-ID: <87h7w4i7bj.fsf@HIDDEN>
Date: Mon, 25 May 2020 13:26:40 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


* gnu/packages/machine-learning.scm (python-iml): Move python-nose from
propagated to native input.
(python-iml): Pin implicit python-prompt-toolkit dependency to version 2.

* gnu/packages/python-xyz.scm (python-widgetsnbextension): Update to version
3.5.1.
(python-widgetsnbextension): Pin implicit python-prompt-toolkit dependency =
to
version 2.
(python-ipywidgets): Update to version 7.5.1.
(python-ipywidgets): Pin implicit python-prompt-toolkit dependency to versi=
on
2.
(python-jupyter-console): Update to version 6.1.0.
(python-jupyter-console): Pin implicit python-prompt-toolkit dependency to
version 2.
(python-jupyter-console): Pin explicit python-prompt-toolkit dependency to
version 2.
(python-prompt-toolkit): Update to version 3.0.5.
(python-prompt-toolkit-2): New variable
(prompt-toolkit-2-instead-of-prompt-toolkit): New variable

---
 gnu/packages/machine-learning.scm |  7 +++--
 gnu/packages/python-xyz.scm       | 52 +++++++++++++++++++++----------
 2 files changed, 40 insertions(+), 19 deletions(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learn=
ing.scm
index 2395dbfe80..5553b31bb5 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -14,6 +14,7 @@
 ;;; Copyright =C2=A9 2019 Guillaume Le Vaillant <glv@HIDDEN>
 ;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright =C2=A9 2020 Konrad Hinsen <konrad.hinsen@HIDDEN>
+;;; Copyright =C2=A9 2020 Edouard Klein <edk@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1803,11 +1804,13 @@ advanced research.")
          "1k8szlpm19rcwcxdny9qdm3gmaqq8akb4xlvrzyz8c2d679aak6l"))))
     (build-system python-build-system)
     (propagated-inputs
-     `(("ipython" ,python-ipython)
-       ("nose" ,python-nose)
+     `(("ipython" ,(prompt-toolkit-2-instead-of-prompt-toolkit
+                    python-ipython))
        ("numpy" ,python-numpy)
        ("pandas" ,python-pandas)
        ("scipy" ,python-scipy)))
+    (native-inputs
+     `(("nose" ,python-nose)))
     (home-page "https://github.com/interpretable-ml/iml")
     (synopsis "Interpretable Machine Learning (iML) package")
     (description "Interpretable ML (iML) is a set of data type objects,
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 9aa5635ab8..f60d4cc0ab 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8970,17 +8970,18 @@ interactive computing.")
 (define-public python-widgetsnbextension
   (package
     (name "python-widgetsnbextension")
-    (version "3.4.2")
+    (version "3.5.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "widgetsnbextension" version))
        (sha256
         (base32
-         "0rc2nivdy7k4m3vljx7wdh2jh11djapcgwhvzlbs0isl8gl8nqgs"))))
+         "1ismyaxbv9d56yqqqb8xl58hg0iq0bbyy014a53y1g3hfbc8g7q7"))))
     (build-system python-build-system)
     (propagated-inputs
-     `(("python-ipykernel" ,python-ipykernel)
+     `(("python-ipykernel"
+        ,(prompt-toolkit-2-instead-of-prompt-toolkit python-ipykernel))
        ("python-notebook" ,python-notebook)))
     (native-inputs
      `(("python-certifi" ,python-certifi)
@@ -8997,17 +8998,18 @@ notebooks.")
 (define-public python-ipywidgets
   (package
     (name "python-ipywidgets")
-    (version "5.2.2")
+    (version "7.5.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "ipywidgets" version))
        (sha256
         (base32
-         "1lk0qrr5l9a0z7qkkn30hv5832whxwxymf1l576fmmad0n7hkxms"))))
+         "15sww2mvnkqlvx55gwa82v05062a8j1xpncnqna4k9sl53hgcig9"))))
     (build-system python-build-system)
     (propagated-inputs
-     `(("python-ipython" ,python-ipython)
+     `(("python-ipython" ,(prompt-toolkit-2-instead-of-prompt-toolkit
+                           python-ipython))
        ("python-traitlets" ,python-traitlets)
        ("python-widgetsnbextension" ,python-widgetsnbextension)))
     (native-inputs
@@ -9027,19 +9029,20 @@ in the data.")
 (define-public python-jupyter-console
   (package
     (name "python-jupyter-console")
-    (version "6.0.0")
+    (version "6.1.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "jupyter_console" version))
        (sha256
         (base32
-         "1xdjw11cppf1fxvwkw2bk13ckkwas3bdah8baingn9296mvfi31h"))))
+         "06s3kr5vx0l1y1b7fxb04dmrppscl7q69sl9yyfr0d057d1ssvkg"))))
     (build-system python-build-system)
     (propagated-inputs
-     `(("python-ipykernel" ,python-ipykernel)
+     `(("python-ipykernel" ,(prompt-toolkit-2-instead-of-prompt-toolkit
+        python-ipykernel))
        ("python-jupyter-client" ,python-jupyter-client)
-       ("python-prompt-toolkit" ,python-prompt-toolkit)
+       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
        ("python-pygments" ,python-pygments)))
     (native-inputs
      `(("python-nose" ,python-nose)))
@@ -12105,14 +12108,14 @@ collections of data.")
 (define-public python-prompt-toolkit
   (package
     (name "python-prompt-toolkit")
-    (version "2.0.7")
+    (version "3.0.5")
     (source
      (origin
        (method url-fetch)
-       (uri (pypi-uri "prompt_toolkit" version ".tar.gz"))
+       (uri (pypi-uri "prompt_toolkit" version))
        (sha256
         (base32
-         "0fgacqk73w7s932vy46pan2yp8rvjmlkag20xvaydh9mhf6h85zx"))))
+         "1j3x5s4gp4ih73sbcni0a0vffbzvrxbrbnkvb3fzjgxn810ilgan"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
@@ -12126,12 +12129,11 @@ collections of data.")
              (add-installed-pythonpath inputs outputs)
              (invoke "py.test"))))))
     (propagated-inputs
-     `(("python-wcwidth" ,python-wcwidth)
-       ("python-six" ,python-six)
-       ("python-pygments" ,python-pygments)))
+     `(("python-wcwidth" ,python-wcwidth)))
     (native-inputs
      `(("python-pytest" ,python-pytest)))
-    (home-page "https://github.com/jonathanslenders/python-prompt-toolkit")
+    (home-page
+     "https://github.com/prompt-toolkit/python-prompt-toolkit")
     (synopsis "Library for building command line interfaces in Python")
     (description
      "Prompt-Toolkit is a library for building interactive command line
@@ -12141,6 +12143,22 @@ code completion, incremental search, support for C=
hinese double-width
 characters, mouse support, and auto suggestions.")
     (license license:bsd-3)))
=20
+(define-public python-prompt-toolkit-2
+  (package (inherit python-prompt-toolkit)
+    (name "python-prompt-toolkit")
+    (version "2.0.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "prompt_toolkit" version ".tar.gz"))
+       (sha256
+        (base32
+         "0fgacqk73w7s932vy46pan2yp8rvjmlkag20xvaydh9mhf6h85zx"))))))
+
+(define-public prompt-toolkit-2-instead-of-prompt-toolkit
+  (package-input-rewriting/spec
+   `(("python-prompt-toolkit" . ,(const python-prompt-toolkit-2)))))
+
 (define-public python2-prompt-toolkit
   (package-with-python2 python-prompt-toolkit))
=20
--=20
2.26.2




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 25 May 2020 11:24:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 07:24:26 2020
Received: from localhost ([127.0.0.1]:40005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdBDQ-00032v-EB
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 07:24:26 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jdBDO-00032o-AL
 for 41395 <at> debbugs.gnu.org; Mon, 25 May 2020 07:24:18 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1590405856; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=I1PUbjqszHupZgLrKyyd/gSxp8J3MeQBu27myFDcew8WqKvEPynIVMKXoenhxV/OQV+xPM1xYk+QpmAVq8bGttHaXEz4dgBVrhECYHIuZLUj7zQI92Hr12CXkGDBWevyGmCfCLZ9txFXXiGEfH0Pou/DmH39ywE+F2qRqoLAu/g=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; 
 t=1590405856; h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To; 
 bh=ozUOq/GlDLYI8tVJCKKT4KG04wzXpFcHD74bitvck00=; 
 b=DkiCIyL9N0HA441o+jhvwNI+cdT4v+fyMr0pKqnSakLFKv0ZX0QbvHh03tUM9NRfrUSHTeN0JnL0aiKzEnUu8eGFMXHMcZEJbJJeI/iyc+nva0aqjfL0mkx15fL0Ev3fbsTA/B4dNbOZkh+97Dm6XvwCChyNjJ8xl60eHRLwYdw=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1590405856; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
 bh=ozUOq/GlDLYI8tVJCKKT4KG04wzXpFcHD74bitvck00=;
 b=d182XfRTV+tgAgX0jmphjvXcOYARnzI4Vsz2jaGsTovktd1eWcUSCy9KfLdhvJQx
 jweKBXf5CKrEb9QX7yPz/lVs1/ovAv18agLR5Ack3PvzTWO7Wb0TY0f+yGGHPxADV6+
 3k1n+vsoNcA+741b9/7yE0riH7QZQGHlT7o+m7lA=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1590405854600700.1685348366626;
 Mon, 25 May 2020 04:24:14 -0700 (PDT)
User-agent: mu4e 1.4.6; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: Update python-iml homepage to https
Message-ID: <87k110i7fq.fsf@HIDDEN>
Date: Mon, 25 May 2020 13:24:10 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


* gnu/packages/machine-learning.scm (python-iml): s/http/https/
---
 gnu/packages/machine-learning.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 6552d171bf..2395dbfe80 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1808,7 +1808,7 @@ advanced research.")
        ("numpy" ,python-numpy)
        ("pandas" ,python-pandas)
        ("scipy" ,python-scipy)))
-    (home-page "http://github.com/interpretable-ml/iml")
+    (home-page "https://github.com/interpretable-ml/iml")
     (synopsis "Interpretable Machine Learning (iML) package")
     (description "Interpretable ML (iML) is a set of data type objects,
 visualizations, and interfaces that can be used by any method designed to
-- 
2.26.2




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 23 May 2020 18:39:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 14:39:28 2020
Received: from localhost ([127.0.0.1]:35573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcZ3Q-00089V-96
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 14:39:28 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:41955)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jcZ3N-00089I-QY
 for 41395 <at> debbugs.gnu.org; Sat, 23 May 2020 14:39:26 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id E4C31746;
 Sat, 23 May 2020 14:39:19 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Sat, 23 May 2020 14:39:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=F2KUgpE9Qg9aB3smizjccm1YuV
 CbcI/Ws9bWVV2CBMk=; b=J6WQlAx+MnhlktyfyR5NQtGdju1V4X9Zlq2kUUxYS8
 T5uPgJNwW/S8+XKfPOE/lVWtPsPfsEC/oRGwHFbry/UBROhhyGwGjehq21yTxPZG
 EUj3O6DWRhnbY5cQdjnnqodRrhIQPKXm/fJhO2DGNpws2SoAMJIx0neZ7tC/BpvZ
 bjmBgitpDWm/JXEACRMDIbxcDg5tX5UmRN3u9fQNRHNzf0X4xmi8NIxPFt+l0nlB
 e29vEl2KQBA3U26ghxlXPejcFsjwmiKEtY+SVmJrw3dlnoQElWeIItVvlWFYK5HM
 q+m9XHxV2xFh2WxbD3jQfX5Kh4INAV96WSSYH9uwfLAQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=F2KUgp
 E9Qg9aB3smizjccm1YuVCbcI/Ws9bWVV2CBMk=; b=hHhDsciKQp9G7BK8QDBA70
 N61jaFONdc3thS0lZaBne4MFNT2AM5uBfkfA051NoVCpVZB/3cdyCnA23Pqt7sUu
 lS1BjrKqOwCTNDlV8YphKNSB2JVc7w3K9fqlaKN9hB++00VpJ2VPBOgLfVW2vsM1
 bByaX+ZYYhp3li3ydw0uzOhe7jM+VJvfAtFE/1kSbmxntLY6OACzep+qiF1njjkW
 q6YLuqGofjK5nuTZ3GZur03yuqldLW1UlUGj6ycxL2C197FvP0IlM+EIuEzT2EJE
 A8SkZzNb6xiWzE311CPMdtbTGIvicdh8JA9ilMO+9xPTraQDVv1qqLJ2weME6icA
 ==
X-ME-Sender: <xms:123JXj6NHSLoyRQWWAF7mZLxwaUmNqrX_VxJD-_V2eL9iXLvJZUT1w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrudduhedguddvjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecuggftrf
 grthhtvghrnhepjeekfeekleegveejteehleejueetudeuledvffevudefvedtvdefveei
 feehvedtnecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkphepkeegrddvtddvrd
 eikedrjeehnecuvehluhhsthgvrhfuihiivgepudenucfrrghrrghmpehmrghilhhfrhho
 mhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomh
X-ME-Proxy: <xmx:123JXo7zmFRfjePLQ2s7c6TquqsC8Q_RfvsFq0LVJLvJ6cPCaUfbkA>
 <xmx:123JXqefORJahvpK9WeSZEmrqyjMZygqjBbQA734PqU8tVYyPbgMmg>
 <xmx:123JXkJw0My8EaWqvnNuV3aTkM6-zqRcLhujuHyJjvzm9dkvlWq2jg>
 <xmx:123JXsUhzzjQRv8cPzspl4g7McWVs7OV8ydhzrRfFJFXWhmrrHx7vQ>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 04FEE3066500;
 Sat, 23 May 2020 14:39:18 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Edouard Klein <edk@HIDDEN>, 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 2/2] gnu: Add python-questionary
In-Reply-To: <87pnb0ckjh.fsf@HIDDEN>
References: <87v9ksckt3.fsf@HIDDEN> <87pnb0ckjh.fsf@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sat, 23 May 2020 20:39:17 +0200
Message-ID: <87tv067ay2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Edouard Klein <edk@HIDDEN> writes:

> * /gnu/packages/python-xyz.scm (python-questionary): New variable
> * /gnu/packages/python-check.scm (python-pytest-pycodestyle): New variable

Can you submit these packages as two separate patches?

[...]

> +(define-public python-pytest-pycodestyle
> +  (package
> +    (name "python-pytest-pycodestyle")
> +    (version "2.0.0")  ;; Any version higher than that requires python-pytest~=5.4
> +    ;; (python-pytest is at version 5.3.5 as I write this comment
> +    ;; and 5478 packages depend on it.)

You can create a 'python-pytest-5.4' variable instead of sticking to
this old version, we'll probably need it sooner or later.  No strong
opinion though.

[...]

> +(define-public python-questionary
> +  (package
> +   (name "python-questionary")
> +   (version "1.5.2")
> +   (source
> +    (origin
> +     (method url-fetch)
> +     (uri (pypi-uri "questionary" version))
> +     (sha256
> +      (base32
> +       "09n737qmvzbibl8hmbd5zfg1502fd9n0r8qjzz1y0vy8nqv1xr7n"))))
> +   (build-system python-build-system)
> +   (propagated-inputs
> +    `(("python-prompt-toolkit" ,python-prompt-toolkit)))
> +   (native-inputs
> +    `(("python-coveralls" ,python-coveralls)
> +      ("python-pytest-cov" ,python-pytest-cov)
> +      ("python-pytest-pycodestyle"
> +       ,python-pytest-pycodestyle)
> +      ))

These parens feel lonely.  :-)

> +   (arguments
> +    `(#:phases
> +      (modify-phases %standard-phases
> +        (replace 'check
> +          (lambda _
> +            (invoke "py.test"))))))
> +   (home-page "https://github.com/tmbo/questionary")
> +   (synopsis
> +    "Pretty command line user prompts")

The line break here is not necessary.

LGTM with these changes, can you send updated patches?

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7JbdUACgkQoqBt8qM6
VPp4TQgAojbjmRrpPWKmEC8jwZd4XEcheft2ogEGsrcelRNnvBKbt0W92dyOgQnj
ZrLgVX1AK6wjpaTm1/MZR8nOaMaPUe3Pl8wD0SiRNBy6nJCf0dzDGS/xuPWiJUiG
eVRA3ncxpEMR75X1aaZyyRCbKC9BINkRFzTYNCO/k44vULlkcV2EzKbSeRgQ5v7R
kHnZlhIxo946PGe3w8NvbPaEEyy/0xDV2oLcHEHhfvVArd2Rcq8FdFImarTgof9f
HjFOO5L0Dy3mijf9P0CAv4piVcinSR6L2RpatC+aolTbe6U32fQQtgKlbtNcoqim
n0SLvrfuV/X4//3fPlDaUPrC59KUCg==
=vjdF
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 23 May 2020 18:35:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 14:35:54 2020
Received: from localhost ([127.0.0.1]:35552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcYzx-00083J-O8
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 14:35:54 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:38219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jcYzv-000832-Ef
 for 41395 <at> debbugs.gnu.org; Sat, 23 May 2020 14:35:52 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 7464E779;
 Sat, 23 May 2020 14:35:45 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Sat, 23 May 2020 14:35:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=hR+NjgkboqiwFhS9gDK2IkGi7W
 37CMF0Ys9BRRVrzoA=; b=IJpLcXCXp8Cd7dK5qcaK16OuxXbKolNcrq5UikN+kB
 si3XOWXc5dRq4z9NsbmdAnvA2KuqNf1umCa+kKst2QZzRGq2rLQxfqbqq518k+Ye
 3fIwWYkKdSgRy7Kht97pNfQoP7ws6mi5FAokb8pK23T94l1lvKMEy3LD2Z7aINTc
 3aPGk9YmsWXqH19m69TdL9XF+pE9hD6ciqYeQXqYefR4pN6e/++ZpwYBzhOg+GpP
 SpFkVWcIwxkWcBmIPftIyhQMXWtKmg58T7XkOCu6MYMTb1EmImba45gpC/WDgBhO
 AEb5x5Jb2Zy2HuDAc7YwzSWY4rFBLJAaYphllQLOil0g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=hR+Njg
 kboqiwFhS9gDK2IkGi7W37CMF0Ys9BRRVrzoA=; b=CGIg4D2N6UsIn/kB6WQfeM
 xnE1pw491ymUekZBHqW9OtGoZoZRK0h2li7z5kIngFJZN9r0sXb5gaupeG5t4c3n
 oLiuMNjzij4JtOg4h8Gz2Tpwr0euz3UGgnXFm2eya9+b7GlXe2zhRe8rAHgnK1MC
 BsOJ/UGMVSw7tFnnYlmKOwdyfQOsTYPvu3xHNa+0AhIxFZCBXMqaGvnge7rXM7bJ
 SnPzHE0w4Zryxg775dFprY/Nhj/fGMZTQM4NDXU36LBaZBASkwQlvgMwRrqnVYLv
 cgrFIoMtR4TWdYGd30W39mU954aE0yY3TPp7mczkClUeGkWOy6B9vL+EE/dcOFNw
 ==
X-ME-Sender: <xms:AG3JXgfMkK9B6iFM4ZppI_cP80y22sya-66NxKliiWv2PlhoPdzhcA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrudduhedguddvjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecuggftrf
 grthhtvghrnhepjeekfeekleegveejteehleejueetudeuledvffevudefvedtvdefveei
 feehvedtnecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkphepkeegrddvtddvrd
 eikedrjeehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhho
 mhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomh
X-ME-Proxy: <xmx:AG3JXiNFX0h_7LtkEdxYnw2-BGSwcbeH4O9G3tfTW0qKSzV13eazkg>
 <xmx:AG3JXhg6UnaQ9p5HhpR7-r6lCrpieuIcAcpPmPJBX6BAvKhOHmcYhA>
 <xmx:AG3JXl-4N-RKmVBoHx2pa81LTud8vE8GyACLW7jyBSobB8UH_dcaKg>
 <xmx:AW3JXq4QtvJ059bFockvhErph1EuaShG1YGTgK6Ju3yT9pzjqca0bg>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 836FB3066506;
 Sat, 23 May 2020 14:35:44 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Edouard Klein <edk@HIDDEN>, 41395 <at> debbugs.gnu.org
Subject: Re: [bug#41395] [PATCH 1/2] gnu: python-prompt-toolkit: Update to
 3.0.5
In-Reply-To: <87sgfwcklx.fsf@HIDDEN>
References: <87v9ksckt3.fsf@HIDDEN> <87sgfwcklx.fsf@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sat, 23 May 2020 20:35:42 +0200
Message-ID: <87wo527b41.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Edouard Klein <edk@HIDDEN> writes:

> * /gnu/packages/python-xyz.scm (python-widgetsnbextension): Pin python-pr=
ompt-toolkit to version 2
> * /gnu/packages/python-xyz.scm (python-ipywidgets): Pin python-prompt-too=
lkit to version 2
> * /gnu/packages/python-xyz.scm (python-jupyter-console): Pin python-promp=
t-toolkit to version 2
> * /gnu/packages/python-xyz.scm (python-prompt-toolkit): Update to 3.0.5
> * /gnu/packages/python-xyz.scm (python-prompt-toolkit-2): New variable
> * /gnu/packages/python-xyz.scm (python-prompt-toolkit-2-instead-of-prompt=
-toolkit): New variable
> * /gnu/packages/machine-learning.scm (python-iml): Pin ipython to python-=
prompt-toolkit-2 variant

You only need to mention the file name once.

> @@ -1803,12 +1804,14 @@ advanced research.")
>           "1k8szlpm19rcwcxdny9qdm3gmaqq8akb4xlvrzyz8c2d679aak6l"))))
>      (build-system python-build-system)
>      (propagated-inputs
> -     `(("ipython" ,python-ipython)
> -       ("nose" ,python-nose)
> +     `(("ipython" ,(prompt-toolkit-2-instead-of-prompt-toolkit
> +                    python-ipython))
>         ("numpy" ,python-numpy)
>         ("pandas" ,python-pandas)
>         ("scipy" ,python-scipy)))
> -    (home-page "http://github.com/interpretable-ml/iml")
> +    (native-inputs
> +     `(("nose" ,python-nose)))
> +    (home-page "https://github.com/interpretable-ml/iml")

Can you submit the home page and inputs change of this package as two
separate patches?

>      (synopsis "Interpretable Machine Learning (iML) package")
>      (description "Interpretable ML (iML) is a set of data type objects,
>  visualizations, and interfaces that can be used by any method designed to
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index b8a51570c3..5fd7e274e9 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -8922,6 +8922,7 @@ interactive computing.")
>      (build-system python-build-system)
>      (propagated-inputs
>       `(("python-ipykernel" ,python-ipykernel)
> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>         ("python-notebook" ,python-notebook)))
>      (native-inputs
>       `(("python-certifi" ,python-certifi)
> @@ -8950,6 +8951,7 @@ notebooks.")
>      (propagated-inputs
>       `(("python-ipython" ,python-ipython)
>         ("python-traitlets" ,python-traitlets)
> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>         ("python-widgetsnbextension" ,python-widgetsnbextension)))
>      (native-inputs
>       `(("python-nose" ,python-nose)
> @@ -8980,7 +8982,7 @@ in the data.")
>      (propagated-inputs
>       `(("python-ipykernel" ,python-ipykernel)
>         ("python-jupyter-client" ,python-jupyter-client)
> -       ("python-prompt-toolkit" ,python-prompt-toolkit)
> +       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
>         ("python-pygments" ,python-pygments)))
>      (native-inputs
>       `(("python-nose" ,python-nose)))
> @@ -12049,6 +12051,44 @@ collections of data.")
>    (package-with-python2 python-backpack))

It would be great to update these packages instead of pinning to the old
version.  I won't blame you if you don't feel like embarking on that
journey though.

>  (define-public python-prompt-toolkit
> +  (package
> +    (name "python-prompt-toolkit")
> +    (version "3.0.5")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (pypi-uri "prompt_toolkit" version))
> +       (sha256
> +        (base32
> +         "1j3x5s4gp4ih73sbcni0a0vffbzvrxbrbnkvb3fzjgxn810ilgan"))))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (delete 'check)
> +         (add-after 'install 'post-install-check
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             ;; HOME is needed for the test
> +             ;; "test_pathcompleter_can_expanduser".
> +             (setenv "HOME" "/tmp")
> +             (add-installed-pythonpath inputs outputs)
> +             (invoke "py.test"))))))
> +    (propagated-inputs
> +     `(("python-wcwidth" ,python-wcwidth)))
> +    (native-inputs
> +     `(("python-pytest" ,python-pytest)))
> +    (home-page
> +     "https://github.com/prompt-toolkit/python-prompt-toolkit")
> +    (synopsis "Library for building command line interfaces in Python")
> +    (description
> +     "Prompt-Toolkit is a library for building interactive command line
> +interfaces in Python.  It's like GNU Readline but it also features syntax
> +highlighting while typing, out-of-the-box multi-line input editing, adva=
nced
> +code completion, incremental search, support for Chinese double-width
> +characters, mouse support, and auto suggestions.")
> +    (license license:bsd-3)))

Can you make python-prompt-toolkit-2 inherit from this package to avoid
duplicating the entire expression?

> +(define-public python-prompt-toolkit-2
>    (package
>      (name "python-prompt-toolkit")
>      (version "2.0.7")
> @@ -12077,7 +12117,7 @@ collections of data.")
>         ("python-pygments" ,python-pygments)))
>      (native-inputs
>       `(("python-pytest" ,python-pytest)))
> -    (home-page "https://github.com/jonathanslenders/python-prompt-toolki=
t")
> +    (home-page "https://github.com/prompt-toolkit/python-prompt-toolkit")
>      (synopsis "Library for building command line interfaces in Python")
>      (description
>       "Prompt-Toolkit is a library for building interactive command line
> @@ -12104,6 +12144,10 @@ characters, mouse support, and auto suggestions.=
")
>  (define-public python2-prompt-toolkit-1
>    (package-with-python2 python-prompt-toolkit-1))
>=20=20
> +(define-public prompt-toolkit-2-instead-of-prompt-toolkit
> +  (package-input-rewriting/spec
> +   `(("python-prompt-toolkit" . ,(const python-prompt-toolkit-2)))))

Is this actually necessary?  Just changing the inputs as you did above
should be sufficient I think.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7JbP4ACgkQoqBt8qM6
VPqtCgf9FOLxhEIC/DJ9PK8Au+twSwpLd8YgkVbGKmyHpv6XyQKcr++0NxExIL1G
Q+s3ifB4ZdsHEjtXNy25wu2Y3Ht2gVz+rBOFJlDnh9TpvApffCOk0sqIMzJABrBj
ZQMpcwNARr/XkXoZURMaek71RcZSIAWMdutrqJ+JCk/WfxxaSjB1trX/mBDR7Qdz
L/vNzJhvwHgzW1JPjZfbfalmREfWVVzjB3oxUyOhhkXmsk+KBi/TrY5iKqvKoFEH
JSi4vn74BDtEBa/F2mVa44u/5jzORvgahOc+CQHAijIm7EQcZOfHcBIVzBcHUQub
Dawxs2EfcZ0bHFUON8Y8+OUMG2sM8Q==
=qUOB
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 19 May 2020 09:59:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 19 05:59:39 2020
Received: from localhost ([127.0.0.1]:49275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jaz2A-0007jx-SE
	for submit <at> debbugs.gnu.org; Tue, 19 May 2020 05:59:39 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jaz2A-0007jq-2S
 for 41395 <at> debbugs.gnu.org; Tue, 19 May 2020 05:59:38 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1589882376; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=E8k6Wc2kqt53xCIPfoZ6bJZinQsptgx2lpadbB4cLu725DJ8/dApfi/dWd4fG7WnP4WGEADu9tVQEyfkdHfI9KKgLSZ0658tPxqA+r54M1lVLwbJmWvBiXR6nMVQMKl4GybWueUZIgp1CWPlkGhNKSaW0AGKX6ofKS6KZUi88P0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1589882376;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=xCIVOuN46F4JUCjgkr9ClskYg6xMUadtoW+0IwqiFlU=; 
 b=LdMJ5iVDJYfSZB49b7eeJJgXahcTe448ega4KoO5DZM/m8HsgfWzVfCatL4K3JqLmkx5lq1PLxmZSVXznUdA8IUSVwiWtvVqY/KD9B3m5OBYO2ulGFzvEPp1CTAq2neOeytrzJISsSowdD0UpeaE4XN6r63nzX9P/AxUCU1MT9Y=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1589882376; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=xCIVOuN46F4JUCjgkr9ClskYg6xMUadtoW+0IwqiFlU=;
 b=JNrZjwvJZWdFGMaIdDQOXXPdJe5MCkd0OfopLi+2veGV8xcMDk1jAVXmFWGRDnyK
 FzVzs1+pMWFB4f8KG5rGtKm9/ZuFwGPjl3NaxlbU4Rkjfk+cDFr8QIv8FT6cRslnnY8
 grReXD0jws/P6CRCtWuDYGAFrFiGojiOekPMTFZ0=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1589882374297979.2454998740251;
 Tue, 19 May 2020 02:59:34 -0700 (PDT)
User-agent: mu4e 1.4.4; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: Add python-questionary
Message-ID: <87pnb0ckjh.fsf@HIDDEN>
Date: Tue, 19 May 2020 11:59:30 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* /gnu/packages/python-xyz.scm (python-questionary): New variable
* /gnu/packages/python-check.scm (python-pytest-pycodestyle): New variable
---
 gnu/packages/python-check.scm | 25 +++++++++++++++++++++++++
 gnu/packages/python-xyz.scm   | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 22b9ea8df5..50911673b2 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -337,6 +337,31 @@ testing framework.")
 framework.")
     (license license:expat)))
=20
+(define-public python-pytest-pycodestyle
+  (package
+    (name "python-pytest-pycodestyle")
+    (version "2.0.0")  ;; Any version higher than that requires python-pyt=
est~=3D5.4
+    ;; (python-pytest is at version 5.3.5 as I write this comment
+    ;; and 5478 packages depend on it.)
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-pycodestyle" version))
+       (sha256
+        (base32
+         "02i5gl7pm9cwxk15sn29inz3n8flpj1r3p1l110h43f2na5w8h7z"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-pycodestyle" ,python-pycodestyle)))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)))
+    (home-page
+     "https://github.com/henry0312/pytest-pycodestyle")
+    (synopsis "Pytest plugin to run pycodestyle")
+    (description "This package provides a plugin to run pycodestyle for th=
e py.test
+framework.")
+    (license license:expat)))
+
 (define-public python-codacy-coverage
   (package
     (name "python-codacy-coverage")
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 5fd7e274e9..26a737febb 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -19985,3 +19985,37 @@ allows you, from Python code, to =E2=80=9Cfix=E2=
=80=9D invalid (X)HTML markup.")
 It builds upon tmux's target and formats to create an object mapping to tr=
averse,
  inspect and interact with live tmux sessions.")
     (license license:expat)))
+
+(define-public python-questionary
+  (package
+   (name "python-questionary")
+   (version "1.5.2")
+   (source
+    (origin
+     (method url-fetch)
+     (uri (pypi-uri "questionary" version))
+     (sha256
+      (base32
+       "09n737qmvzbibl8hmbd5zfg1502fd9n0r8qjzz1y0vy8nqv1xr7n"))))
+   (build-system python-build-system)
+   (propagated-inputs
+    `(("python-prompt-toolkit" ,python-prompt-toolkit)))
+   (native-inputs
+    `(("python-coveralls" ,python-coveralls)
+      ("python-pytest-cov" ,python-pytest-cov)
+      ("python-pytest-pycodestyle"
+       ,python-pytest-pycodestyle)
+      ))
+   (arguments
+    `(#:phases
+      (modify-phases %standard-phases
+        (replace 'check
+          (lambda _
+            (invoke "py.test"))))))
+   (home-page "https://github.com/tmbo/questionary")
+   (synopsis
+    "Pretty command line user prompts")
+   (description
+    "Questionary helps make the input prompts easy to read and answer for =
the user
+using multi-select lists, confirmations, free text prompts, completion, et=
c.")
+  (license license:expat)))
--=20
2.26.2




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at 41395 <at> debbugs.gnu.org:


Received: (at 41395) by debbugs.gnu.org; 19 May 2020 09:58:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 19 05:58:12 2020
Received: from localhost ([127.0.0.1]:49271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jaz0m-0007hp-BU
	for submit <at> debbugs.gnu.org; Tue, 19 May 2020 05:58:12 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jaz0k-0007hg-2Y
 for 41395 <at> debbugs.gnu.org; Tue, 19 May 2020 05:58:10 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1589882287; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=UXp3IKKM5SMq1qSKL4oX4dl9ObRMr17LO+l1K9iBbmqM57YCXJUsws5Zn0jTwLszZCTWSlqm72dgm/XaZW3G/he6y3X2EqrladsJiDWlb2fkoGS6hFSNCwFQogSncL+1f3AZ4BN6F/keV/eF1vDle+1z9K296CbX7eRuyhxrDGs=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1589882287;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=mWQ0CTykVXJVF7ikKPjEEYj0oKJzp8RwUEWNadJk3sM=; 
 b=mSTWJ3+hyX1aqXhao8yTRSWn/1/qcEbJ9IhgYxgq2gzJzPGUZwd4yTy/Sf4wKBwuBhD9zgr6oR2xtGeM5FvosL7X9RsbhxsTOhP5erR+kW1mcy3/ZAj7lWuUIlnG+05GklohCkIstI2cvYpwwuVpIAQ5F6l/h2ZrgHPdnZnm88M=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1589882287; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=mWQ0CTykVXJVF7ikKPjEEYj0oKJzp8RwUEWNadJk3sM=;
 b=YFIjqks5eLopWpRgVAvnKQn0tGxJd7T/sKP9DbLJt5sMO2bGEA7fqv1v7B6+DVUY
 ubMye1r6TUadSvsO4xFY6D93wTcvgG/VhZKyKREe4ivZcV4pYOgXe3DrV71rNEYKG7b
 GPEX4Z9ngUStNTb4gDNu1O7ohPAYRce6u4d91hw4=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 158988228626875.40940067723591;
 Tue, 19 May 2020 02:58:06 -0700 (PDT)
User-agent: mu4e 1.4.4; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: 41395 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: python-prompt-toolkit: Update to 3.0.5
Message-ID: <87sgfwcklx.fsf@HIDDEN>
Date: Tue, 19 May 2020 11:58:02 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41395
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* /gnu/packages/python-xyz.scm (python-widgetsnbextension): Pin python-prom=
pt-toolkit to version 2
* /gnu/packages/python-xyz.scm (python-ipywidgets): Pin python-prompt-toolk=
it to version 2
* /gnu/packages/python-xyz.scm (python-jupyter-console): Pin python-prompt-=
toolkit to version 2
* /gnu/packages/python-xyz.scm (python-prompt-toolkit): Update to 3.0.5
* /gnu/packages/python-xyz.scm (python-prompt-toolkit-2): New variable
* /gnu/packages/python-xyz.scm (python-prompt-toolkit-2-instead-of-prompt-t=
oolkit): New variable
* /gnu/packages/machine-learning.scm (python-iml): Pin ipython to python-pr=
ompt-toolkit-2 variant
---
 gnu/packages/machine-learning.scm |  9 ++++--
 gnu/packages/python-xyz.scm       | 48 +++++++++++++++++++++++++++++--
 2 files changed, 52 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learn=
ing.scm
index 6552d171bf..5553b31bb5 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -14,6 +14,7 @@
 ;;; Copyright =C2=A9 2019 Guillaume Le Vaillant <glv@HIDDEN>
 ;;; Copyright =C2=A9 2019 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright =C2=A9 2020 Konrad Hinsen <konrad.hinsen@HIDDEN>
+;;; Copyright =C2=A9 2020 Edouard Klein <edk@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1803,12 +1804,14 @@ advanced research.")
          "1k8szlpm19rcwcxdny9qdm3gmaqq8akb4xlvrzyz8c2d679aak6l"))))
     (build-system python-build-system)
     (propagated-inputs
-     `(("ipython" ,python-ipython)
-       ("nose" ,python-nose)
+     `(("ipython" ,(prompt-toolkit-2-instead-of-prompt-toolkit
+                    python-ipython))
        ("numpy" ,python-numpy)
        ("pandas" ,python-pandas)
        ("scipy" ,python-scipy)))
-    (home-page "http://github.com/interpretable-ml/iml")
+    (native-inputs
+     `(("nose" ,python-nose)))
+    (home-page "https://github.com/interpretable-ml/iml")
     (synopsis "Interpretable Machine Learning (iML) package")
     (description "Interpretable ML (iML) is a set of data type objects,
 visualizations, and interfaces that can be used by any method designed to
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b8a51570c3..5fd7e274e9 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8922,6 +8922,7 @@ interactive computing.")
     (build-system python-build-system)
     (propagated-inputs
      `(("python-ipykernel" ,python-ipykernel)
+       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
        ("python-notebook" ,python-notebook)))
     (native-inputs
      `(("python-certifi" ,python-certifi)
@@ -8950,6 +8951,7 @@ notebooks.")
     (propagated-inputs
      `(("python-ipython" ,python-ipython)
        ("python-traitlets" ,python-traitlets)
+       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
        ("python-widgetsnbextension" ,python-widgetsnbextension)))
     (native-inputs
      `(("python-nose" ,python-nose)
@@ -8980,7 +8982,7 @@ in the data.")
     (propagated-inputs
      `(("python-ipykernel" ,python-ipykernel)
        ("python-jupyter-client" ,python-jupyter-client)
-       ("python-prompt-toolkit" ,python-prompt-toolkit)
+       ("python-prompt-toolkit" ,python-prompt-toolkit-2)
        ("python-pygments" ,python-pygments)))
     (native-inputs
      `(("python-nose" ,python-nose)))
@@ -12049,6 +12051,44 @@ collections of data.")
   (package-with-python2 python-backpack))
=20
 (define-public python-prompt-toolkit
+  (package
+    (name "python-prompt-toolkit")
+    (version "3.0.5")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "prompt_toolkit" version))
+       (sha256
+        (base32
+         "1j3x5s4gp4ih73sbcni0a0vffbzvrxbrbnkvb3fzjgxn810ilgan"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (delete 'check)
+         (add-after 'install 'post-install-check
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             ;; HOME is needed for the test
+             ;; "test_pathcompleter_can_expanduser".
+             (setenv "HOME" "/tmp")
+             (add-installed-pythonpath inputs outputs)
+             (invoke "py.test"))))))
+    (propagated-inputs
+     `(("python-wcwidth" ,python-wcwidth)))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)))
+    (home-page
+     "https://github.com/prompt-toolkit/python-prompt-toolkit")
+    (synopsis "Library for building command line interfaces in Python")
+    (description
+     "Prompt-Toolkit is a library for building interactive command line
+interfaces in Python.  It's like GNU Readline but it also features syntax
+highlighting while typing, out-of-the-box multi-line input editing, advanc=
ed
+code completion, incremental search, support for Chinese double-width
+characters, mouse support, and auto suggestions.")
+    (license license:bsd-3)))
+
+(define-public python-prompt-toolkit-2
   (package
     (name "python-prompt-toolkit")
     (version "2.0.7")
@@ -12077,7 +12117,7 @@ collections of data.")
        ("python-pygments" ,python-pygments)))
     (native-inputs
      `(("python-pytest" ,python-pytest)))
-    (home-page "https://github.com/jonathanslenders/python-prompt-toolkit")
+    (home-page "https://github.com/prompt-toolkit/python-prompt-toolkit")
     (synopsis "Library for building command line interfaces in Python")
     (description
      "Prompt-Toolkit is a library for building interactive command line
@@ -12104,6 +12144,10 @@ characters, mouse support, and auto suggestions.")
 (define-public python2-prompt-toolkit-1
   (package-with-python2 python-prompt-toolkit-1))
=20
+(define-public prompt-toolkit-2-instead-of-prompt-toolkit
+  (package-input-rewriting/spec
+   `(("python-prompt-toolkit" . ,(const python-prompt-toolkit-2)))))
+
 (define-public python-jedi
   (package
     (name "python-jedi")
--=20
2.26.2




Information forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 May 2020 09:54:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 19 05:54:13 2020
Received: from localhost ([127.0.0.1]:49266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jaywu-0007bS-Rn
	for submit <at> debbugs.gnu.org; Tue, 19 May 2020 05:54:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:53712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <edk@HIDDEN>) id 1jaywt-0007bL-0F
 for submit <at> debbugs.gnu.org; Tue, 19 May 2020 05:54:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34926)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <edk@HIDDEN>)
 id 1jayws-0003Pf-Oj
 for guix-patches@HIDDEN; Tue, 19 May 2020 05:54:10 -0400
Received: from sender4-op-o11.zoho.com ([136.143.188.11]:17194)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.90_1) (envelope-from <edk@HIDDEN>)
 id 1jaywr-0003Ne-Pb
 for guix-patches@HIDDEN; Tue, 19 May 2020 05:54:10 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1589882044; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=T+u5NPCPW1EuYqHepFc0grkI7DgZZxJ3y+0i+L5m6COFakB97vf/c6p1BbpRm98KmRUGwCXZsng1Y1v4l0u6sVFWSHzCUzttEAXOKPlbytnfBb//KRq+pY1VbViIK/rc3rTYzOuCMkqDs1xfVKJoADTUA6mhY+/6Tg4O23idTYU=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; 
 t=1589882044; h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To; 
 bh=zcxvOBOSBzc84xYv5W5i9SKQ/AigXXJ/orf21xnIgm0=; 
 b=mNghj/+liDew6WyWBCcgmSwPZfY0WQRIg73mSt8THdhoMBO8eKmliwGX7sUb1JkYq7s16nbVEwCcRyWXAUcMh5Sbkaaodz5VXWyQLDkOW1HlDMs7gBwjveS0VWLbSIHpasKplMnq32DOBng/SfRndSl+fw1+LVbH0BeaNybB9Wg=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=beaver-labs.com;
 spf=pass  smtp.mailfrom=edk@HIDDEN;
 dmarc=pass header.from=<edk@HIDDEN> header.from=<edk@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1589882044; 
 s=zoho; d=beaver-labs.com; i=edk@HIDDEN;
 h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
 bh=zcxvOBOSBzc84xYv5W5i9SKQ/AigXXJ/orf21xnIgm0=;
 b=Lhcr2bc3Gtb7RD8yoN87jB6oxhFtr5d9rrUopA1xVtjhj6/JR5tP71QgWX/HCuZ+
 FfXd+279MCgb2RGXSgL7VvKr0qCsSeyUh3QQ9y+HmZt4g2HO1WuLRUKjdaqXuxpZEAw
 RKl9XXrVHjJ5NnJgwq01Uui94JxZ3MHI/R85j7lc=
Received: from alice.lan (lfbn-idf1-1-1299-119.w90-79.abo.wanadoo.fr
 [90.79.23.119]) by mx.zohomail.com
 with SMTPS id 1589882042196657.47267122531;
 Tue, 19 May 2020 02:54:02 -0700 (PDT)
User-agent: mu4e 1.4.4; emacs 26.3
From: Edouard Klein <edk@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] gnu: Add python-questionary
Message-ID: <87v9ksckt3.fsf@HIDDEN>
Date: Tue, 19 May 2020 11:53:44 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.11; envelope-from=edk@HIDDEN;
 helo=sender4-op-o11.zoho.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/19 05:54:06
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi all,

This is my first time submitting a multicommit patch. Please do not
hesitate to point out any mistakes in the way I did it so that I can fix
them in the future.

These two patches are my attempt to add python-questionary, which
depends on a update to python-prompt-toolkit.

With many thanks to Julien Lepiller and zimoun for their help on
guix-devel :)

Cheers,

Edouard.




Acknowledgement sent to Edouard Klein <edk@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41395; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 May 2020 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.